Bug 137722 - [PATCH] dns/powerdns-recursor: update to 3.1.7.1
Summary: [PATCH] dns/powerdns-recursor: update to 3.1.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-13 09:50 UTC by Ralf van der Enden
Modified: 2009-08-14 20:50 UTC (History)
1 user (show)

See Also:


Attachments
powerdns-recursor-3.1.7.1.patch (8.49 KB, patch)
2009-08-13 09:50 UTC, Ralf van der Enden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2009-08-13 09:50:02 UTC
- Update to 3.1.7.1
From the changelog:
"FreeBSD users may want to upgrade because of a very remote chance of 3.1.7 and previous crashing once every few years."

Removed file(s):
- files/patch-lwres.cc
- files/patch-pdns_nameserver.cc
- files/patch-pdns_recursor.cc

Port maintainer (sten@blinkenlights.nl) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2009-08-13 09:50:14 UTC
Maintainer of dns/powerdns-recursor,

Please note that PR ports/137722 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/137722

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-08-13 09:50:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 sten 2009-08-13 23:03:19 UTC
On Thu, 13 Aug 2009, Edwin Groothuis wrote:

> Maintainer of dns/powerdns-recursor,
>
> Please note that PR ports/137722 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

The update is ok, the new version obsoletes two patches that where
included in the FreeBSD port (boost compilation fixes and
default limit on cache entries).

-- 
Sten Spans

"There is a crack in everything, that's how the light gets in."
Leonard Cohen - Anthem
Comment 4 dfilter service freebsd_committer 2009-08-14 20:48:11 UTC
miwi        2009-08-14 19:48:03 UTC

  FreeBSD ports repository

  Modified files:
    dns/powerdns-recursor Makefile distinfo 
    dns/powerdns-recursor/files patch-manpages 
  Removed files:
    dns/powerdns-recursor/files patch-lwres.cc 
                                patch-pdns_nameserver.cc 
                                patch-pdns_recursor.cc 
  Log:
  - Update to 3.1.7.1
  
  PR:             137722
  Submitted by:   Ralf van der Enden <tremere@cainites.net>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.18      +1 -2      ports/dns/powerdns-recursor/Makefile
  1.5       +3 -3      ports/dns/powerdns-recursor/distinfo
  1.2       +0 -11     ports/dns/powerdns-recursor/files/patch-lwres.cc (dead)
  1.3       +11 -11    ports/dns/powerdns-recursor/files/patch-manpages
  1.3       +0 -11     ports/dns/powerdns-recursor/files/patch-pdns_nameserver.cc (dead)
  1.2       +0 -65     ports/dns/powerdns-recursor/files/patch-pdns_recursor.cc (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2009-08-14 20:48:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!